server:
  port: 8888
  ssl:
    key-store: classpath:9564748_api.jiayuepowertech.com.pfx
    key-store-type: PKCS12
    key-store-password: ENC(6daOBtvpihAkIU2Kh8iRK3KqYgI4E0/s)
    enabled-protocols: "TLSv1.2"
    ciphers: "ECDHE-ECDSA-AES128-GCM-SHA256,ECDHE-RSA-AES128-GCM-SHA256,ECDHE-ECDSA-AES256-GCM-SHA384,ECDHE-RSA-AES256-GCM-SHA384,ECDHE-ECDSA-CHACHA20-POLY1305,ECDHE-RSA-CHACHA20-POLY1305,DHE-RSA-AES128-GCM-SHA256,DHE-RSA-AES256-GCM-SHA384"
  tomcat:
    max-connections: 50
    max-threads: 30
    accept-count: 5

logging:
  config: classpath:logback-ssi.xml

bfhhs: 7

#设置提供的服务名
spring:
  application:
    name: ssq-mybatis-plus
  #配置数据库
  datasource:
    druid:
      stat-view-servlet.enabled: false
    driver-class-name: com.mysql.cj.jdbc.Driver
    type: com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://localhost:3307/ssi?useUnicode=true&characterEncoding=UTF-8&characterSetResults=UTF-8&autoReconnect=true&rewriteBatchedStatements=true&serverTimezone=Asia/Shanghai
    username: ENC(UN5TVXHQJt2DbXQiX/GRsw==)
    password: ENC(r9wV3VlMJEcxqJ6hYeG7BLRdUMXsPQHQ)

  #邮箱基本配置
  mail:
    #配置smtp服务主机地址
    # qq邮箱为smtp.qq.com          端口号465或587
    # sina    smtp.sina.cn
    # aliyun  smtp.aliyun.com
    # 163     smtp.163.com       端口号465或994
    host: smtp.263.net
    #发送者邮箱
    username: ENC(4hsAvmDn50R1rxcYN5UdnSd69rFpv0dNp+6UOkHNTVz4go5lUgGvZw==)
    #配置密码,注意不是真正的密码，而是刚刚申请到的授权码
    password: ENC(g8kj0/rxGdJ5qiETb0BsbWqYFf+/0gvk)
    #端口号465或587
    port: 465
    #默认的邮件编码为UTF-8
    default-encoding: UTF-8
    #其他参数
    properties:
      mail:
        #配置SSL 加密工厂
        smtp:
          ssl:
            #本地测试，先放开ssl
            enable: true
            required: false
          #开启debug模式，这样邮件发送过程的日志会在控制台打印出来，方便排查错误
        debug: false

mybatis-plus:
  typeAliasesPackage: com.jiayue.ssi.entity
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  mapper-locations: classpath:mapper/system/*.xml
  global-config:
    db-column-underline: true
    logic-delete-field: del_flag
    logic-delete-value: 1
    logic-not-delete-value: 0
# 服务端密钥
# 客户端公钥：MFkwEwYHKoZIzj0CAQYIKoEcz1UBgi0DQgAEz9IxRa8TDtsQABm/zl1VCFGVjyklybVfoVKupC759hevR7R9R8sS4flOFJbk8z++Pp/YSb9aHNDMR+S6SpuAXg==
# 自己私钥：MIGTAgEAMBMGByqGSM49AgEGCCqBHM9VAYItBHkwdwIBAQQgm/zcWRJO89xIxOT1PtowqYZHQFBhik3pccpEY1y1+UmgCgYIKoEcz1UBgi2hRANCAAQdHjJPTUumQK2kkouvR7m9J61iACpPA5c7eLqFB1g85j12X90YAcF6ma30bXXarlULzEPhLTWBbEDIk8wgWy6T
# 客户端密钥
# 服务端公钥:MFkwEwYHKoZIzj0CAQYIKoEcz1UBgi0DQgAEHR4yT01LpkCtpJKLr0e5vSetYgAqTwOXO3i6hQdYPOY9dl/dGAHBepmt9G112q5VC8xD4S01gWxAyJPMIFsukw==
# 自己私钥：MIGTAgEAMBMGByqGSM49AgEGCCqBHM9VAYItBHkwdwIBAQQgHFgMNlizvBSLrq0DBio/cGEy1WwKj5Y8CmZUnTSdr8OgCgYIKoEcz1UBgi2hRANCAATP0jFFrxMO2xAAGb/OXVUIUZWPKSXJtV+hUq6kLvn2F69HtH1HyxLh+U4UluTzP74+n9hJv1oc0MxH5LpKm4Be
